Subject: bug#15690: [platform-testers] new snapshot available: grep-2.14.51-7a35

From: Paul Eggert <[email-masked]>
Date: Fri, 25 Oct 2013 09:13:17 -0700

Ineiev wrote:

> -AM_LDFLAGS = $(IGNORE_UNUSED_LIBRARIES_CFLAGS)
> +AM_LDFLAGS = $(IGNORE_UNUSED_LIBRARIES_CFLAGS) $(LIBTHREAD)

Thanks!  That explains things.  Though I think it'd be
better to put LIBTHREAD in LDADD, where the other libs go.
I pushed these two patches (the other fixes a minor glitch
with --enable-gcc-warnings introduced by the recent gnulib
update, that I noticed while tracking down the Solaris problem).

>From 7c74d12696b4c45670138fad14ef45291032c75e Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Fri, 25 Oct 2013 08:50:53 -0700
Subject: [PATCH 1/2] build: avoid duplicate -funit-at-a-time etc. options

* configure.ac (WERROR_CFLAGS): Don't add -fdiagnostics-show-option
and -funit-at-a-time, as Gnulib does that for us now, and we're
merely piling on duplicats.
---
 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/configure.ac b/configure.ac
index b1393db..1ebc253 100644
--- a/configure.ac
+++ b/configure.ac
@@ -151,9 +151,6 @@ if test "$gl_gcc_warnings" = yes; then
   # gcc 4.5.0 20090517, and it provokes warnings in cat.c, dd.c, truncate.c
   gl_WARN_ADD([-Wno-logical-op])
 
-  gl_WARN_ADD([-fdiagnostics-show-option])
-  gl_WARN_ADD([-funit-at-a-time])
-
   AC_SUBST([WARN_CFLAGS])
 
   AC_DEFINE([lint], [1], [Define to 1 if the compiler is checking for lint.])
-- 
1.8.3.1

>From 25a79f34e9b1485cc0e29f396f4e3b90c0e7c6db Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Fri, 25 Oct 2013 09:09:20 -0700
Subject: [PATCH 2/2] build: port to AIX

Problem reported by Pavel Kharitonov in <http://bugs.gnu.org/15690#68>.
* src/Makefile.am (LDADD): Add $(LIBTHREAD).
---
 src/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/Makefile.am b/src/Makefile.am
index 3d5ca78..4b4c6d1 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -38,7 +38,8 @@ libgrep_a_SOURCES = kwset.c dfa.c searchutils.c dfasearch.c kwsearch.c \
 # replacement functions defined in libgreputils.a.
 LDADD = \
   libgrep.a \
-  ../lib/libgreputils.a $(LIBINTL) ../lib/libgreputils.a $(LIBICONV)
+  ../lib/libgreputils.a $(LIBINTL) ../lib/libgreputils.a $(LIBICONV) \
+  $(LIBTHREAD)
 
 grep_LDADD = $(LDADD) $(LIB_PCRE)
 localedir = $(datadir)/locale
-- 
1.8.3.1